package com.dsic.gj_erp.controller.jcsj;

import com.dsic.gj_erp.bean.ResultBean;
import com.dsic.gj_erp.bean.jcsj.DmBchxmxp;
import com.dsic.gj_erp.exception.CustomException;
import com.dsic.gj_erp.service.jcsj.DmBchxmxpService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;
import java.util.List;
import java.util.Map;

/**
 * <p>
 *  前端控制器  套料图
 * </p>
 *
 * @author xn
 * @since 2023-09-20
 */
@RestController
@RequestMapping("/dmBchxmxp")
public class DmBchxmxpController {

    @Autowired
    DmBchxmxpService dmBchxmxpService;

    @PostMapping("/getTLTList")
    @ResponseBody
    public ResultBean getBcTJlList(HttpServletRequest req, @RequestBody Map map) throws Exception, CustomException {
        List<DmBchxmxp> getTLTList = dmBchxmxpService.getTLTList(map);
        return new ResultBean(getTLTList);

    }
}

