package com.dsic.gj_erp.controller.txzz;

import java.util.List;
import javax.servlet.http.HttpServletResponse;

import com.dsic.gj_erp.bean.ResultBean;
import com.dsic.gj_erp.bean.jt.采购订单;
import com.dsic.gj_erp.service.txzz.I采购订单Service;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 【请填写功能名称】Controller
 * 
 * @author ruoyi
 * @date 2024-06-26
 */
@RestController
@RequestMapping("/system/采购订单")
public class 采购订单Controller{
    @Autowired
    private I采购订单Service 采购订单Service;

    /**
     * 查询【请填写功能名称】列表
     */
    @GetMapping("/list")
    public ResultBean list(采购订单 采购订单)
    {
        List<采购订单> list = 采购订单Service.select采购订单List(采购订单);
        return new ResultBean(list);
    }

    /**
     * 导出【请填写功能名称】列表
     */
    @PostMapping("/export")
    public void export(HttpServletResponse response, 采购订单 采购订单)
    {
        List<采购订单> list = 采购订单Service.select采购订单List(采购订单);
    }

    /**
     * 获取【请填写功能名称】详细信息
     */
    @GetMapping(value = "/{选择供应商}")
    public ResultBean getInfo(@PathVariable("选择供应商") String 选择供应商)
    {
        采购订单Service.select采购订单By选择供应商(选择供应商);
        return new ResultBean();
    }

    /**
     * 新增【请填写功能名称】
     */
    @PostMapping
    public ResultBean add(@RequestBody 采购订单 采购订单)
    {
        采购订单Service.insert采购订单(采购订单);
        return new ResultBean();
    }

    /**
     * 修改【请填写功能名称】
     */
    @PutMapping
    public ResultBean edit(@RequestBody 采购订单 采购订单)
    {
        采购订单Service.update采购订单(采购订单);
        return new ResultBean();
    }

    /**
     * 删除【请填写功能名称】
     */
	@DeleteMapping("/{选择供应商s}")
    public ResultBean remove(@PathVariable String[] 选择供应商s)
    {
        采购订单Service.delete采购订单By选择供应商s(选择供应商s);
        return new ResultBean();
    }
}
